Get all ESG categories and their sub-categories
GET
https://api.textreveal.com/v3/esg/categories
Request
Parameters
languagelanguage-code (enum)Language code for the response (e.g.
Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"...fr,french). Defaults to English.fields(string (enum))[]Fields to include in the response
Default: ["name", "description", "sub_categories"]
Response
Response
{
"E": {
"name": "Environmental",
"description": "This focuses on how a company impacts (or is impacted by) the natural environment.",
"sub_categories": {}
},
"S": {
"name": "Social",
"description": "This focuses on how a company manages relationships with its employees, suppliers, customers, and the communities where it operates.",
"sub_categories": {}
},
"G": {
"name": "Governance",
"description": "This focuses on the leadership, controls, and shareholder rights that guide how a company is run.",
"sub_categories": {}
}
}Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
Response
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "language",
"reason": "invalid_type"
}
]
}Generic errors are not shown, see Errors for more details.